<?php

/**
 * Contao Open Source CMS
 * Copyright (C) 2005-2015 Leo Feyer
 *
 * Formerly known as TYPOlight Open Source CMS.
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program. If not, please visit the Free
 * Software Foundation website at <http://www.gnu.org/licenses/>.
 *
 * PHP version 5
 * @copyright  Cliff Parnitzky 2015-2015
 * @author     Cliff Parnitzky
 * @package    TinyMceCodeMirror
 * @license    LGPL
 */

/**
 * Run in a custom namespace, so the class can be replaced
 */
namespace TinyMceCodeMirror;

/**
* Class TinyMceCodeMirror
*
* Class to implement the HOOK for modifying configs.
* @copyright  Cliff Parnitzky 2015-2015
* @author     Cliff Parnitzky
*/
class TinyMceCodeMirror {
	
	/**
	 * Adding config for output behavoir
	 */
	public function editTinyMcePluginLoaderConfig ($arrTinyConfig) {
		$arrTinyConfig["codemirror"] = <<<EOT
{
  indentOnInit: false,    // Whether or not to indent code on init. 
  path: 'codemirror-5.2', // Path to CodeMirror distribution
  config: {               // CodeMirror config object
     mode: 'htmlmixed',
     lineNumbers: true,
     foldGutter: true
  }
},
EOT;
		
		return $arrTinyConfig;
	}
}
 
?>